#!/usr/bin/env python
# -*- coding:utf-8 -*-

from ultralytics import YOLO

model = YOLO("/Volumes/Media/WorkDoc/Beizhi/CODE/hyd-yolo/yolov8/yolov8n.pt")

# yolo train data= model=/home/jxft/datasets/yolov8/yolov8n.pt epochs=100 lr0=0.01
model.train(data="/Users/zhenqin/temp/yolo_demo/datasets/hyd-action.yaml", 
            workers=0, 
            batch=16, 
            epochs=3)
results = model.val()

# Export the model to ONNX format
success = model.export(format='onnx')